Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query
Class ExprInfo

    java.lang.Object
      org.basex.query.ExprInfo

Direct Known Subclasses:
  Expr, FTOpt, Functions, Variables, Vars

    public abstract class ExprInfo

extends java.lang.Object

Expression Information.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`ExprInfo()`

Method Summary
`java.lang.String` | `color()` Returns a string description of the expression.
`java.lang.String` | `info()` Returns a string description of the expression.
`byte[]` | `name()` Returns the simplified class name (for debugging).
`abstract void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExprInfo

    public ExprInfo()

Method Detail

### color

    public java.lang.String color()

  Returns a string description of the expression. Contrary to the `toString()` method, the current expressions aren't included in the output.

  Returns:
    result of check

### info

    public java.lang.String info()

  Returns a string description of the expression. Contrary to the `toString()` method, the current expressions aren't included in the output.

  Returns:
    result of check

### name

    public byte[] name()

  Returns the simplified class name (for debugging).

  Returns:
    class name

### plan

    public abstract void plan(Serializer ser)
                       throws java.io.IOException

  Recursively sends the abstract syntax of this expression to the specified serializer.

  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### toString

    public abstract java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD